// KeyString.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "KeyString.h"
#include "KeyStringDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CKeyStringApp

BEGIN_MESSAGE_MAP(CKeyStringApp, CWinApp)
	//{{AFX_MSG_MAP(CKeyStringApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CKeyStringApp construction

CKeyStringApp::CKeyStringApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CKeyStringApp object

CKeyStringApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CKeyStringApp initialization

BOOL CKeyStringApp::InitInstance()
{
	// Standard initialization

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

	CKeyStringDlg dlg;
	m_pMainWnd = &dlg;
	int nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
	}
	else if (nResponse == IDCANCEL)
	{
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}
